hole problem

Main.java:3: class Holeintext is public, should be declared in a file named Holeintext.java public class Holeintext { ^ Note: Main.java uses or overrides a deprecated API. Note: Recompile with -Xlint:deprecation for details. 1 error

this is error i m getting
this is an compilation error can someone tell me how to solve this
help plz

//